TIX-BUILD(8)

NAME
tix-build - build a port

SYNOPSIS
tix-build [--build=triplet] [--destination=directory] [--end=step] [--exec-prefix=prefix] [--generation=level] [--host=triplet] [--make=path] [--makeflags=makeflags] [--prefix=prefix] [--source-package=source-package] [--source-port=source-port] [--start=step] [--sysroot=directory] [--tar=path] [--target=triplet] [--tmp=directory] port

DESCRIPTION
tix-build builds a source code directory containing a port(5) of software for this operating system. tix-build is usually invoked through the higher level tix-port(8).

The mandatory port argument is the directory containing the source code. The port(5) file containing the build instruction is found by adding .port to this path, or if it does not exist then tix.port inside the directory.

The options are as follows:

--build=triplet
    The platform triplet for the machine the port is built on. (Default: Automatically detected.)

--destination=directory
    The binary package is placed inside this directory.

--end=step
    Stop the build after this step:

    start
        The start step before anything has happened.
    clean, pre-clean
        Clean the source directory before the build.
    configure
        Configure the port.
    build
        Build the port.
    install
        Install the port into the DESTDIR.
    post-install
        Run the post-installation script.
    post-clean
        Clean the source code after the port.
    package
        Create the binary package.
    end The end step after everything has happened. (Default)

--exec-prefix=prefix
    The prefix where architecture dependent files are installed. (Default: --prefix)

--generation=generation
    Create a binary package in the format of this tix generation level. (Default: 2)

--host=triplet
    The platform triplet for the machine the port will run on. (Default: --build)

--make=path
    Which make(1) to use. (Default: MAKE if set and otherwise make(1))

--makeflags=makeflags
    Override the MAKEFLAGS variable inherited by make.

--prefix=prefix
    Build the port into this prefix. (Default: The empty prefix designating the root directory)

--source-package=source-port
    Deprecated alias for --source-port that will be removed after the next release.

--source-port=source-port
    The source code for the SOURCE_PORT per port(5) is found in the source-port directory. (Default: $SOURCE_PORT)

--start=step
    Start the build at this step (see --end). (Default: start)

--sysroot=directory
    The system root to use while building and installing the port. The toolchain is wrapped to transparently use this sysroot during the build.

--tar=path
    Which tar(1) to use during the build. (Default: tar(1))

--target=triplet
    The port's outputs targets this platform triplet. (Default: --host)

--tmp=directory
    Place temporary files in this directory. (Default: TMPDIR if set otherwise /tmp)

EXIT STATUS
tix-build will exit 0 on success and non-zero otherwise.

SEE ALSO
port(5), development(7), porting(7), tix-collection(8), tix-install(8), tix-port(8)

HISTORY
tix-build originally appeared in Sortix 0.8.